package com.xxl.job.admin.core.model;

import javax.validation.constraints.NotBlank;

import groovy.transform.ToString;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @version 
 * @description 
 * @company persagy
 * @author zhangqiankun
 * @since 2020年12月3日:	下午6:50:46
 */
@Getter
@Setter
@ToString
@ApiModel(description = "字典查询请求类")
public class DictQuery {
	
	@NotBlank(message = "查询类型不可为空")
	@ApiModelProperty(value = "查询类型", example = "", required = true)
	private String queryType;
	
}
