package com.xxl.job.admin.core.model;

import javax.validation.constraints.NotBlank;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * Created by xuxueli on 16/9/30.
 */
@Getter
@Setter
@ToString
public class XxlJobGroupValid {

    private int id;
    
    @NotBlank(message = "执行器名称，不可为空")
    private String appname;
    
    @NotBlank(message = "执行器标题，不可为空")
    private String title;
    
    //@NotBlank(message = "执行器地址类型，不可为空")
    private int addressType;        // 执行器地址类型：0=自动注册、1=手动录入
    
    //@NotBlank(message = "执行器地址列表，不可为空")
    private String addressList;     // 执行器地址列表，多地址逗号分隔(手动录入)

}
